// --- Déclaration des constantes des broches E/S numériques ---

const int LED=2; // Constante pour la broche 2


int octetReception=0; // variable de stockage des valeurs reçues sur le port Série (ASCII)


void setup()   { // debut de la fonction setup()

// --- ici instructions à exécuter 1 seule fois au démarrage du programme --- 

Serial.begin(9600); // initialise connexion série à 9600 bauds
// IMPORTANT : régler le terminal côté PC avec la même valeur de transmission 

// ------- Broches en sorties numériques -------  
pinMode (LED,OUTPUT); // Broche LED configurée en sortie


} // fin de la fonction setup()


void loop(){ // debut de la fonction loop()

while (Serial.available()>0) { // tant qu'un octet en réception 

        octetReception=Serial.read(); // Lit l'octet reçu
 

        if (octetReception==1) { // si on reçoit la valeur 1 
            digitalWrite(LED,HIGH); // On allume la LED
        } 

        if (octetReception==2) { // si on reçoit la valeur 2 
            digitalWrite(LED,LOW); // On eteint la LED
        } 
  
}

} // fin de la fonction loop() - le programme recommence au début de la fonction loop sans fin

